# $Revision: 1.16 $, $Date: 2008/11/11 16:33:58 $
Summary:	listres application - list resources in widgets
Summary(pl.UTF-8):	Aplikacja listres - lista zasobów w widgetach
Name:		xorg-app-listres
Version:	1.0.1
Release:	4
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/listres-%{version}.tar.bz2
# Source0-md5:	827a1ac5adf9aadd0c13b54a897e297b
Patch0:		%{name}-xaw.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The listres program generates a list of a widget's resource database.
The class in which each resource is first defined, the instance and
class name, and the type of each resource is listed. If no specific
widgets or the -all switch are given, a two-column list of widget
names and their class hierarchies is printed.

%description -l pl.UTF-8
Program listres generuje listę bazy danych zasobów widgetów.
Wypisywana jest klasa, w której każdy zasób jest po raz pierwszy
definiowany, nazwa instancji i klasy oraz typ zasobu. Jeśli nie podano
określonego widgetu lub podano parametr -all, wypisywana jest
dwukolumnowa lista nazw widgetów i ich hierarchii klas.

%prep
%setup -q -n listres-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/listres
%{_mandir}/man1/listres.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-listres.spec,v $
Revision 1.16  2008/11/11 16:33:58  arekm
- rel 4; fix xaw related build

Revision 1.15  2008/11/07 20:50:54  arekm
- release 3

Revision 1.14  2008/07/27 23:01:49  arekm
- release 2

Revision 1.13  2007-04-30 21:23:15  qboosh
- informative descs from man

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 11:19:14  qboosh
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/10 13:52:20  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 11:20:21  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 13:36:11  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 16:18:48  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- added listres-man.patch
- defined %%{_prefix} and %%{_mandir}
- added BR: libXaw-devel
- release 0.02

* Sun Aug  7 2005 16:57:11  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
